# ParseError
<span class="source-link">[[Source]](src/options/options.md#L98)</span>
```pony
interface ref ParseError
```

## Public Functions

### reason
<span class="source-link">[[Source]](src/options/options.md#L99)</span>


```pony
fun box reason()
: (UnrecognisedOption val | MissingArgument val | InvalidArgument val | 
    AmbiguousMatch val)
```

#### Returns

* ([UnrecognisedOption](options-UnrecognisedOption.md) val | [MissingArgument](options-MissingArgument.md) val | [InvalidArgument](options-InvalidArgument.md) val | 
    [AmbiguousMatch](options-AmbiguousMatch.md) val)

---

### report
<span class="source-link">[[Source]](src/options/options.md#L100)</span>


```pony
fun box report(
  out: OutStream tag)
: None val
```
#### Parameters

*   out: [OutStream](builtin-OutStream.md) tag

#### Returns

* [None](builtin-None.md) val

---

